Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner
Interface ReasonerFactory

All Known Subinterfaces:
  RuleReasonerFactory

All Known Implementing Classes:
  DAMLMicroReasonerFactory, DIGReasonerFactory, GenericRuleReasonerFactory, OWLFBRuleReasonerFactory, OWLMicroReasonerFactory, OWLMiniReasonerFactory, RDFSFBRuleReasonerFactory, RDFSRuleReasonerFactory, TransitiveReasonerFactory

    public interface ReasonerFactory

The interface through which a reasoner (inference engine) can be instantiated. Instances of this are registered with the global ReasonerRegistry.

Version:
  $Revision: 1.13 $ on $Date: 2008/01/02 12:07:00 $
Author:
  Dave Reynolds

Method Summary
`Reasoner` | `create(Resource configuration)` Constructor method that builds an instance of the associated Reasoner
`Model` | `getCapabilities()` Return a description of the capabilities of this reasoner encoded in RDF.
`java.lang.String` | `getURI()` Return the URI labelling this type of reasoner

Method Detail

### create

    Reasoner create(Resource configuration)

  Constructor method that builds an instance of the associated Reasoner

  Parameters:
    `configuration` - a set of arbitrary configuration information to be passed the reasoner, encoded as RDF properties of a base configuration resource, can be null in no custom configuration is required.

### getCapabilities

    Model getCapabilities()

  Return a description of the capabilities of this reasoner encoded in RDF. These capabilities may be static or may depend on configuration information supplied at construction time. May be null if there are no useful capabilities registered.

### getURI

    java.lang.String getURI()

  Return the URI labelling this type of reasoner

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP